package com.jianshui.platform.domain;

import com.jianshui.common.annotation.Excel;
import com.jianshui.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 发票交付对象 invoice_delivery
 * 
 * @author jianshui
 * @date 2023-06-08
 */
public class InvoiceDelivery extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 办税人身份证号 */
    @Excel(name = "办税人身份证号")
    private String bsrysfzjhm;

    /** 地区编码 */
    @Excel(name = "地区编码")
    private String dqbm;

    /** 交付类型0-邮箱 1-短信 */
    @Excel(name = "交付类型0-邮箱 1-短信")
    private String jflx;

    /** 发票号码 */
    @Excel(name = "发票号码")
    private String fphm;

    /** 购买方联系电话 */
    @Excel(name = "购买方联系电话")
    private String gmflxdh;

    /** 购买方邮箱 */
    @Excel(name = "购买方邮箱")
    private String gmfyx;

    /** 纳税人识别号 */
    @Excel(name = "纳税人识别号")
    private String nsrsbh;

    /** 请求状态0-成功，1-失败 */
    @Excel(name = "请求状态0-成功，1-失败")
    private String status;

    /** 请求通道0-大象，1-数科 */
    @Excel(name = "请求通道0-大象，1-数科")
    private String type;

    /** 创建人id */
    @Excel(name = "创建人id")
    private Long clerk;

    /** 订单来源（1-模板导入，2-API调用，3-手工录入，4-扫码开票) */
    @Excel(name = "订单来源", readConverterExp = "订单来源（1-模板导入，2-API调用，3-手工录入，4-扫码开票)")
    private String source;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setBsrysfzjhm(String bsrysfzjhm) 
    {
        this.bsrysfzjhm = bsrysfzjhm;
    }

    public String getBsrysfzjhm() 
    {
        return bsrysfzjhm;
    }
    public void setDqbm(String dqbm) 
    {
        this.dqbm = dqbm;
    }

    public String getDqbm() 
    {
        return dqbm;
    }
    public void setJflx(String jflx) 
    {
        this.jflx = jflx;
    }

    public String getJflx() 
    {
        return jflx;
    }
    public void setFphm(String fphm) 
    {
        this.fphm = fphm;
    }

    public String getFphm() 
    {
        return fphm;
    }
    public void setGmflxdh(String gmflxdh) 
    {
        this.gmflxdh = gmflxdh;
    }

    public String getGmflxdh() 
    {
        return gmflxdh;
    }
    public void setGmfyx(String gmfyx) 
    {
        this.gmfyx = gmfyx;
    }

    public String getGmfyx() 
    {
        return gmfyx;
    }
    public void setNsrsbh(String nsrsbh) 
    {
        this.nsrsbh = nsrsbh;
    }

    public String getNsrsbh() 
    {
        return nsrsbh;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setClerk(Long clerk) 
    {
        this.clerk = clerk;
    }

    public Long getClerk() 
    {
        return clerk;
    }
    public void setSource(String source) 
    {
        this.source = source;
    }

    public String getSource() 
    {
        return source;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("bsrysfzjhm", getBsrysfzjhm())
            .append("dqbm", getDqbm())
            .append("jflx", getJflx())
            .append("fphm", getFphm())
            .append("gmflxdh", getGmflxdh())
            .append("gmfyx", getGmfyx())
            .append("nsrsbh", getNsrsbh())
            .append("status", getStatus())
            .append("type", getType())
            .append("clerk", getClerk())
            .append("createTime", getCreateTime())
            .append("remark", getRemark())
            .append("source", getSource())
            .toString();
    }
}
